Class HttpCallResponse
java.lang.Object
edu.internet2.middleware.grouperClient.util.HttpCallResponse
response from http call
-
Constructor Summary
ConstructorsConstructorDescriptionHttpCallResponse(int theHttpResponseCode) HttpCallResponse(int theHttpResponseCode, String theResponseBody) -
Method Summary
Modifier and TypeMethodDescriptionvoidassertResponseCodes(int... validResponseCodes) make sure response code is okcontent type from http callmethod from http callinthttp response coderesponse body if there is onegetUrl()uri from http callvoidsetContentType(String contentType1) content type from http callvoidsetHttpCallMethod(HttpCallMethod method1) method from http callvoidsetHttpResponseCode(int httpRepsonseCode1) http response codevoidsetResponseBody(String responseBody1) response body if there is onevoiduri from http call
-
Constructor Details
-
HttpCallResponse
public HttpCallResponse() -
HttpCallResponse
public HttpCallResponse(int theHttpResponseCode) - Parameters:
theHttpResponseCode- http response code
-
HttpCallResponse
- Parameters:
theHttpResponseCode-theResponseBody-
-
-
Method Details
-
getUrl
uri from http call- Returns:
- the uri
-
setUrl
uri from http call- Parameters:
uri1- the uri to set
-
getHttpCallMethod
method from http call- Returns:
- the method
-
setHttpCallMethod
method from http call- Parameters:
method1- the method to set
-
getContentType
content type from http call- Returns:
- the contentType
-
setContentType
content type from http call- Parameters:
contentType1- the contentType to set
-
assertResponseCodes
public void assertResponseCodes(int... validResponseCodes) make sure response code is ok- Parameters:
validResponseCodes-
-
getResponseBody
response body if there is one- Returns:
- the responseBody
-
setResponseBody
response body if there is one- Parameters:
responseBody1- the responseBody to set
-
getHttpResponseCode
public int getHttpResponseCode()http response code- Returns:
- the httpRepsonseCode
-
setHttpResponseCode
public void setHttpResponseCode(int httpRepsonseCode1) http response code- Parameters:
httpRepsonseCode1- the httpRepsonseCode to set
-